## m2vrequantiser 1.1

=== Makefile ===
PREFIX    ?= /usr/local
CC         = gcc
CFLAGS    ?= -O2 -g -funroll-loops -frename-registers
CFLAGS    += -D_LARGEFILE_SOURCE -DLARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -D_REENTRANT
CFLAGS    += -Wall
OBJECTS    = main.o
LDFLAGS   += -s
LOADLIBES += -lm
INSTALL   ?= install

all:	M2VRequantiser

M2VRequantiser : $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) $(LDFLAGS) $(LOADLIBES) -o M2VRequantiser

%.o : %.c
	$(CC) $(CFLAGS) -c $<

install:	all
	$(INSTALL) -d $(PREFIX)/bin
	$(INSTALL) -m 755 M2VRequantiser $(PREFIX)/bin
	
uninstall:
	rm -f $(PREFIX)/bin/M2VRequantiser

clean:
	rm -f M2VRequantiser *.o *~ core

=== debian/changelog ===
m2vrequantiser (1.1-5) unstable; urgency=medium

  * QA upload.
  * debian/control: added 'Rules-Requires-Root: no' to source stanza.
  * debian/copyright: updated packaging years.
  * debian/patches/: updated patches headers.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve GCC hardening.
      - Removed unnecessary dh argument.
  * debian/tests/control: created to perform trivial CI test.
  * debian/upstream/metadata: created.
  * debian/watch:
      - Bumped version to 4.
      - Improved search regex.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Thu, 11 Jun 2020 11:03:56 -0300

m2vrequantiser (1.1-4) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: Added 'debhelper-compat' in 'Build-Depends' field and
        bumped level to 13.
  * debian/control:
      - Added Vcs-* fields to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright:
      - Added BSD-3-Clause License block.
      - Added myself to packaging block.
      - Created new block for debian/manpage/create-man.sh.
      - Updated GPL-2+ text.
      - Using a secure URI in Format field.
  * debian/manpage/: created to provide a manpage.
  * debian/manpages: created to install the manpage.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Wed, 10 Jun 2020 09:08:42 -0300

m2vrequantiser (1.1-3) unstable; urgency=medium

  * QA upload.
  * Orphaning.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Feb 2016 21:46:49 +0000

m2vrequantiser (1.1-2) unstable; urgency=medium

  * Avoid sscanf() access to argv's 3rd argument when only one
    is given. (Closes: #715590)
  * debian/patches/1001-makefile.patch:
    - Don't append -g -02 to CFLAGS by default, let the build takes it on
      its own.
    - Process CPPFLAGS when compiling for hardening.
  * Set up debhelper 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 11 Jul 2014 15:35:43 +0100

m2vrequantiser (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #664979)

 -- Alessio Treglia <alessio@debian.org>  Fri, 23 Mar 2012 09:20:55 +0100

=== debian/control ===
Source: m2vrequantiser
Section: video
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://launchpad.net/m2vrequantiser
Vcs-Browser: https://salsa.debian.org/debian/m2vrequantiser
Vcs-Git: https://salsa.debian.org/debian/m2vrequantiser.git

Package: m2vrequantiser
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG-2 streams requantization
 This package provides m2vrequantiser, a tool to requantize
 MPEG-2 streams without recompressing. M2VRequantiser
 accepts raw MPEG2 video data (not VOB) from standard
 input and writes the recompressed frames to standard output.
 .
 m2vrequantiser represents a good replacement for tcrequant,
 an obsolete utility provided by some versions of the transcode
 suite.

=== debian/tests/control ===
Test-Command: M2VRequantiser 2>&1 | grep -A1 Usage
Restrictions: superficial

=== debian/watch ===
version=4
https://launchpad.net/m2vrequantiser/ \
https://launchpad.net/.*download/M2VRequantiser-v?@ANY_VERSION@@ARCHIVE_EXT@
